import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const BackupDestinationIncludeObjectSchema: z.ZodType<Prisma.BackupDestinationInclude> = makeSchema() as unknown as z.ZodType<Prisma.BackupDestinationInclude>;
export const BackupDestinationIncludeObjectZodSchema = makeSchema();
